Debian Bug report logs - #402122
debiandoc-sgml: HTML output should include LINK tags in HEAD

version graph

Package: debiandoc-sgml; Maintainer for debiandoc-sgml is Osamu Aoki <osamu@debian.org>; Source for debiandoc-sgml is src:debiandoc-sgml.

Reported by: Trent Buck <trentbuck@gmail.com>

Date: Fri, 8 Dec 2006 10:48:01 UTC

Severity: wishlist

Tags: confirmed

Fixed in version debiandoc-sgml/1.2.8

Done: Osamu Aoki <osamu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, DebianDoc-SGML Pkgs <debiandoc-sgml-pkgs@lists.alioth.debian.org>:
Bug#402122; Package debiandoc-sgml. Full text and rfc822 format available.

Acknowledgement sent to Trent Buck <trentbuck@gmail.com>:
New Bug report received and forwarded. Copy sent to DebianDoc-SGML Pkgs <debiandoc-sgml-pkgs@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Trent Buck <trentbuck@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debiandoc-sgml: HTML output should include LINK tags in HEAD
Date: Fri, 08 Dec 2006 21:42:10 +1100
Package: debiandoc-sgml
Severity: wishlist

I notice that the HTML version of new-maint[1], and presumably other
Debian documentation, lacks LINK[2] tags in the HEAD header.  These tags
make it a little easier to read large documents in some browsers, such
as emacs-w3m or firefox (with the Link Widgets extension).

Here is an extensive example from an XHTML document:

    <head>
      <title>The Elements of Programming</title>
      <link rel="stylesheet" type="text/css" href="book-Z-C.css" title="default" />
      <link rel="Start" href="book.xhtml" title="Cover Page" />
      <link rel="First" href="book.xhtml" title="Cover Page" />
      <link rel="Copyright" href="book-Z-H-02.xhtml" title="Copyright" />
      <link rel="Contents" href="book-Z-H-04.xhtml" title="Table of Contents" />
      <link rel="End" href="book-Z-H-36.xhtml" title="References" />
      <link rel="Index" href="book-Z-H-37.xhtml" title="List of Exercises" />
      <link rel="Index" href="book-Z-H-38.xhtml" title="Index" />
      <link rel="Up" href="book-Z-H-09.xhtml" title="Building Abstractions with Procedures" />
      <link rel="Subsection" href="#sec_1.1.1" title="Expressions" />
      <link rel="Subsection" href="#sec_1.1.2" title="Naming and the Environment" />
      <link rel="Subsection" href="#sec_1.1.3" title="Evaluating Combinations" />
      <link rel="Subsection" href="#sec_1.1.4" title="Compound Procedures" />
      <link rel="Subsection" href="#sec_1.1.5" title="The Substitution Model for Procedure Application" />
      <link rel="Subsection" href="#sec_1.1.6" title="Conditional Expression and Predicates" />
      <link rel="Subsection" href="#sec_1.1.7" title="Example: Square Roots by Newton's Method" />
      <link rel="Subsection" href="#sec_1.1.8" title="Procedures as Black-box Abstractions" />
      <link rel="Next" href="book-Z-H-11.xhtml" title="Procedures and the Processes They Generate" />
      <link rel="Prev" href="book-Z-H-09.xhtml" title="Building Abstractions with Procedures" />
      <meta name="robots" content="noindex,follow" />
      <meta name="generator" content="tex2page 4o" />
    </head>

Particularly desirable are the Next and Prev relations.

I assume that debiandoc-sgml is responsible for generating HTML output
from debiandoc sources.  If this is not the case, this bug should be
reassigned.

[1] http://www.us.debian.org/doc/manuals/maint-guide/ch-start.en.html
[2] http://www.w3.org/TR/html4/struct/links.html#h-12.3



Information forwarded to debian-bugs-dist@lists.debian.org, DebianDoc-SGML Pkgs <debiandoc-sgml-pkgs@lists.alioth.debian.org>:
Bug#402122; Package debiandoc-sgml. Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to DebianDoc-SGML Pkgs <debiandoc-sgml-pkgs@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 402122@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 402122@bugs.debian.org, 402122-submitter@bugs.debian.org
Subject: HTML output should include LINK tags in HEAD
Date: Sun, 11 May 2008 02:13:59 +0900
Hi,

This bug "HTML output should include LINK tags in HEAD" is still present
for maint-guide and all other documentation since debiandoc-sgml's
default behavior has been kept so.  

But this program iself is capable to generae such tags.

After 140677 was fixed in 1.1.60 in Sat,  6 Apr 2002, this feature have
been disabled as default because adding such tag was ugly for console
browsers such as "links".

Should we change default now?  If I get the list of browser interaction
by bug submitter or by myself, I will change default.

Osamu
-- 

 http://bugs.debian.org/402122
 http://bugs.debian.org/140677





Message sent on to Trent Buck <trentbuck@gmail.com>:
Bug#402122. Full text and rfc822 format available.

Tags added: confirmed Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. (Sat, 10 May 2008 18:36:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, DebianDoc-SGML Pkgs <debiandoc-sgml-pkgs@lists.alioth.debian.org>:
Bug#402122; Package debiandoc-sgml. Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
Extra info received and forwarded to list. Copy sent to DebianDoc-SGML Pkgs <debiandoc-sgml-pkgs@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 402122@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: Osamu Aoki <osamu@debian.org>, 402122@bugs.debian.org
Subject: Re: Bug#402122: HTML output should include LINK tags in HEAD
Date: Sun, 11 May 2008 09:36:42 +1000
On Sun, May 11, 2008 at 02:13:59AM +0900, Osamu Aoki wrote:
> This bug "HTML output should include LINK tags in HEAD" is still
> present for maint-guide and all other documentation since
> debiandoc-sgml's default behavior has been kept so.
>
> But this program iself is capable to generae such tags.
>
> After #140677 was fixed in 1.1.60 in Sat, 6 Apr 2002, this feature
> have been disabled as default because adding such tag was ugly for
> console browsers such as "links".

I use the browser w3m-el, which is a text browser that uses the
"console" browser w3m as the back end.  It does not display LINK
metadata at the top of the page; instead it has the following effects:

- if I use <space> to scroll down, and I'm at the bottom of the page,
  it goes to the rel=next URL.

- if I use <backspace> to scroll up, and I'm at the top of the page,
  it goes to the rel=prev URL.

- if I use <u>, which normally goes from http://foo/bar/baz to
  http://foo/bar/, it instead goes to the rel=toc URL.

When using the html2ps browser, I can use these links to generate a
single printable document of a large document, without having to
specify the URL of every file individually.

These behaviours are enormously useful for reading large documents; if
lynx and links do "ugly" things with this metadata then I think you
should be complaining to the developers of those programs, not the
content providers (such as debiandoc-sgml).  Probably they should make
the "ugliness" an option.




Reply sent to Osamu Aoki <osamu@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Trent Buck <trentbuck@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 402122-close@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 402122-close@bugs.debian.org
Subject: Bug#402122: fixed in debiandoc-sgml 1.2.8
Date: Tue, 13 May 2008 15:17:02 +0000
Source: debiandoc-sgml
Source-Version: 1.2.8

We believe that the bug you reported is fixed in the latest version of
debiandoc-sgml, which is due to be installed in the Debian FTP archive:

debiandoc-sgml_1.2.8.dsc
  to pool/main/d/debiandoc-sgml/debiandoc-sgml_1.2.8.dsc
debiandoc-sgml_1.2.8.tar.gz
  to pool/main/d/debiandoc-sgml/debiandoc-sgml_1.2.8.tar.gz
debiandoc-sgml_1.2.8_all.deb
  to pool/main/d/debiandoc-sgml/debiandoc-sgml_1.2.8_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 402122@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Osamu Aoki <osamu@debian.org> (supplier of updated debiandoc-sgml package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 13 May 2008 01:21:07 +0900
Source: debiandoc-sgml
Binary: debiandoc-sgml
Architecture: source all
Version: 1.2.8
Distribution: unstable
Urgency: low
Maintainer: DebianDoc-SGML Pkgs <debiandoc-sgml-pkgs@lists.alioth.debian.org>
Changed-By: Osamu Aoki <osamu@debian.org>
Description: 
 debiandoc-sgml - DebianDoc SGML DTD and formatting tools
Closes: 402122 445807
Changes: 
 debiandoc-sgml (1.2.8) unstable; urgency=low
 .
   * Fixed description and code is refering to tetex-bin and tetex-extra
     per Andreas Tille.  (closes: #445807)
   * Updated gs-gpl to ghostscript.
   * Changed link tag generation as default and meaning of -L option
     because most console users use w3m now per popcon. (closes: #402122)
   * Added -C option for content negotiation without encoding.
   * Added lower case locale alias such as 'pt-br' and 'zh-cn.utf-8',
     to accomodate better looking file names easily.
   * Updated manual pages.
Checksums-Sha1: 
 c81a4be5d80d9eca888a95c23d3e450af8d28ff7 932 debiandoc-sgml_1.2.8.dsc
 b8896afe1aa69a90c68cbf5c9eba82a8a3593bab 128132 debiandoc-sgml_1.2.8.tar.gz
 73ce9fea93b8d8a5bf72c7efba8690d432801a06 133546 debiandoc-sgml_1.2.8_all.deb
Checksums-Sha256: 
 d56e3bda1f16e876c93ef4e1345a1595279a320bfb4fcf26265dd0930f611e76 932 debiandoc-sgml_1.2.8.dsc
 c703c3137e9fddf9e345ce2ac2621d4f86a752839d42bb73c5fc526788eb294b 128132 debiandoc-sgml_1.2.8.tar.gz
 957fce528e7a08a00415ce882343a4dcadf603c077bbf3da82740b2181e8f0d8 133546 debiandoc-sgml_1.2.8_all.deb
Files: 
 b23ed26582bcc03d07637537b99467c4 932 text optional debiandoc-sgml_1.2.8.dsc
 37b6a54eec7ad2496e5980136b51008d 128132 text optional debiandoc-sgml_1.2.8.tar.gz
 d25622243065aaf532e38384806ff57e 133546 text optional debiandoc-sgml_1.2.8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIKa1A6A/EwagGHzIRAh0vAJ43pnQG0ABXZJW0YIKwAdQt7c1HfgCfWiha
oAuPKhPIUhH7hipACnvCgE8=
=R0ky
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 Jun 2008 07:29:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:38:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.